{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Comment</title>
<link rel="stylesheet" href="{% static 'forum/css/styles.css' %}">
{% endblock meta %}

{% block content %}
<div class="container" id="editComment"style="margin-bottom:110px;">
    <div class="topdown">
        {% if komen or diskusi %}
            <div class="one-komen-container preview-edit-komen">
                <div class="komen" {% if type == 'edit' and diskusi %}style="background:rgb(83, 144, 217, 0.2);"{% endif %}>
                    <div class="leftright inside-post-komen alignkanankiriatas">
                        <div class="profile-container-komen">
                            <div class="profile-komen" 
                                {% for warna in colorProfile %}
                                    {% if warna.user == komen.penulis %} 
                                        style="background-color: {{warna.colorHex}};"
                                    {% endif %}
                                {% endfor %}>
                                <div class="topdown center inisial-komen">
                                    {{ komen.penulis|make_list|first|upper }}
                                </div>
                            </div>
                        </div>
                        <div class="topdown alignitem snippet-komen">
                            <div class="leftright headerKomen">
                                <div class="judulKomen">
                                    {{ komen.penulis }}
                                </div>
                                <span class="subJudulKomen">
                                    {{ komen.DateTime|date:'d-M-Y H:i' }} WIB
                                    {% if komen.penulis == request.user %} | 
                                        <a href="{% url 'forum:confirmDeleteComment' komen.pk %}" class="edit"> delete </a>
                                    {% endif %}
                                </span>
                            </div>
                            <div class="isiKomen b">
                                {{ komen.isi|linebreaks }}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="reply-container">
                {% if replyTo %}
                    {% for t in replyTo %}
                        <div class="reply" {% if type == 'edit' and t == replyTo|last %}style="background:rgb(83, 144, 217, 0.2);"{% endif %}>
                            <div class="leftright inside-post-komen alignkanankiriatas">
                                <div class="profile-container-komen">
                                    <div class="profile-komen" 
                                        {% for warna in colorProfile %}
                                            {% if warna.user == t.penulis %} 
                                                style="background-color: {{warna.colorHex}};"
                                            {% endif %}
                                        {% endfor %}>
                                        <div class="topdown center inisial-komen">
                                            {{ t.penulis|make_list|first|upper }}
                                        </div>
                                    </div>
                                </div>
                                <div class="topdown alignitem snippet-komen">
                                    <div class="leftright headerKomen">
                                        <div class="judulKomen">
                                            {{ t.penulis }}
                                        </div>
                                        <span class="subJudulKomen">
                                            {{ t.DateTime|date:'d-M-Y H:i' }} WIB
                                            {% if t.penulis == request.user %} | 
                                                <a href="{% url 'forum:editReply' t.komen.pk t.pk %}" class="edit"> edit </a> |
                                                <a href="{% url 'forum:confirmDeleteReply' t.pk %}" class="edit"> delete </a>
                                            {% endif %}
                                        </span>
                                    </div>
                                    <div class="isiKomen b">
                                        {{ t.isi |linebreaks}}
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% endif %}
                </div>
            </div>
            <div style="font-size:28px;font-weight:bold; margin-bottom:30px;">
                {% if type == 'edit' %}Edit
                {% else %}Create
                {% endif %} your
                {% if diskusi %} Comment Discussion
                {% elif replyTo %} Direct Reply
                {% else %} Reply
                {% endif %} below
            </div>
        {% endif %}
        <div class="form">
            <form method="POST" style="width: 100%;">
                {% csrf_token %}
                {% comment %} {{ form.as_p }} will render them wrapped in <p> tags {% endcomment %}
                {{ form.as_p }}
                <div class="topdown center">
                    <button type="submit" class="button1" id="bodyButton">Post Reply</button>
                    <button href="#" onclick="history.back();return false" type="cancel" class="button2" id="bodyButton">Cancel</button>                
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock content %}